MPC85XX_RIO_RX_HA(9)

NAME
mpc85xx_rio_rx_handler - MPC85xx inbound message interrupt handler

SYNOPSIS

irqreturn_t mpc85xx_rio_rx_handler (int irq, void * dev_instance, struct pt_regs * regs);

ARGUMENTS

irq Linux interrupt number

dev_instance
    Pointer to interrupt-specific data

regs
    Register context

DESCRIPTION

Handles inbound message interrupts. Executes a registered inbound mailbox event handler and acks the interrupt occurence.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.